
%global meadversion 2.6.0
%global namedversion 2.6.0.redhat-4
%global meadalpha .redhat_4
%global meadrel .1
%global serial 1
%global namedversionrel redhat-4

%bcond_without mead

%define maven_version 2.6.0.redhat-4

Name:           apache-commons-lang-eap6
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Commons Lang
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: commons-lang-2.6.0.redhat-4-scm-sources.zip
Source102: commons-lang-2.6.0.redhat-4-source-release.zip
Source103: commons-lang-2.6.0.redhat-4-src.tar.gz
Source104: commons-lang-2.6.0.redhat-4-src.zip
Source105: commons-lang-2.6.0.redhat-4-sources.jar
Source106: commons-lang-2.6.0.redhat-4.jar
Source107: commons-lang-2.6.0.redhat-4-test-sources.jar
Source108: commons-lang-2.6.0.redhat-4-javadoc.jar
Source109: commons-lang-2.6.0.redhat-4-bin.tar.gz
Source110: commons-lang-2.6.0.redhat-4-project-sources.tar.gz
Source111: commons-lang-2.6.0.redhat-4-bin.zip
Source112: commons-lang-2.6.0.redhat-4.pom
Source113: commons-lang-2.6.0.redhat-4-site.xml
%endif

URL:            http://commons.apache.org/lang/
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/commons-lang-eap6-%{namedversion}-%{release}-root

%description
Commons Lang, a package of Java utility classes for the classes
that are in java.lang's hierarchy, or are considered to be so standard
as to justify existence in java.lang.

%prep
%setup -q -n commons-lang -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/commons-lang-eap6
%{__cp} -p %{_sourcedir}/commons-lang-%{namedversion}.jar %{buildroot}%{_javadir}/commons-lang-eap6/commons-lang-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/commons-lang-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/commons-lang-eap6/commons-lang-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/commons-lang-%{namedversion}-sources.jar %{buildroot}%{_javadir}/commons-lang-eap6/commons-lang-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/commons-lang-eap6 && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files -n apache-commons-lang-eap6
%defattr(0644,root,root,0755)
%doc LICENSE.txt NOTICE.txt RELEASE-NOTES.txt
%dir %{_javadir}/commons-lang-eap6
%{_javadir}/commons-lang-eap6/commons-lang-%{namedversion}.jar
%{_javadir}/commons-lang-eap6/commons-lang.jar
%exclude %{_javadir}/commons-lang-eap6/commons-lang-%{namedversion}-javadoc.jar
%exclude %{_javadir}/commons-lang-eap6/commons-lang-javadoc.jar
%{_javadir}/commons-lang-eap6/commons-lang-%{namedversion}-sources.jar
%{_javadir}/commons-lang-eap6/commons-lang-sources.jar

%changelog
* Thu Dec 04 2014 Lin Gao <lgao@redhat.com> - 2.6.0-1.redhat_4.1
- Rebuild to fix invalid OSGI version

* Mon Jan 13 2014 David Walluck <dwalluck@redhat.com> - 2.6-8.redhat_3.1
- change dir

* Mon Jan 13 2014 David Walluck <dwalluck@redhat.com> - 2.6-8.redhat_3.1
- change dir

* Mon Jan 13 2014 David Walluck <dwalluck@redhat.com> - 2.6-8.redhat_3.1
- change dir

* Fri Dec 13 2013 David Walluck <dwalluck@redhat.com> - 2.6-7.redhat_3.1
- rebuild to add to errata

* Fri Dec 13 2013 David Walluck <dwalluck@redhat.com> - 2.6-7.redhat_3.1
- rebuild to add to errata

* Fri Dec 13 2013 David Walluck <dwalluck@redhat.com> - 2.6-7.redhat_3.1
- rebuild to add to errata

* Fri Dec 13 2013 David Walluck <dwalluck@redhat.com> - 2.6-6.redhat_3.1
- rebuild to fix Release

* Fri Dec 13 2013 David Walluck <dwalluck@redhat.com> - 2.6-3.redhat_3.1
- rebuild to fix Release

* Thu Dec 12 2013 David Walluck <dwalluck@redhat.com> - 2.6-2.redhat_3.1
- Rebuild wrappers so they are added to the errata

* Thu Dec 12 2013 David Walluck <dwalluck@redhat.com> - 2.6-2.redhat_3.1
- Rebuild wrappers so they are added to the errata

* Thu Dec 12 2013 David Walluck <dwalluck@redhat.com> - 2.6-2.redhat_3.1
- Rebuild wrappers so they are added to the errata

* Thu Dec 12 2013 David Walluck <dwalluck@redhat.com> - 2.6-1.redhat_3.1
- submit wrapper-only build

* Tue Oct 15 2013 David Walluck <dwalluck@redhat.com> 0:2.6-4
- convert to MEAD

* Wed Aug 15 2012 David Walluck <dwalluck@redhat.com> 0:2.6-3
- fix repolib
- add missing BuildRequires: zip
- change source encoding to utf-8
- move incorrect repolib logic from %%install to %%prep (was breaking %%install)
- fix local repo in deploy call
- set maven.compiler.{source,target} on command line

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.6-2.redhat_2.3
- Rebuild to workaround deploy bug

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.6-2.redhat_2.2
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.6-2.redhat_1.1
- Mass unsign rebuild

* Fri Apr 27 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.6-2.redhat_1
- Add sources and patches to maven2-brew directory in repolib

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.6-1.1_redhat_1.1
- Rebuild using cache signing

* Thu Jan 26 2012 David Walluck <dwalluck@redhat.com> 0:2.6-1.1
- 2.6-redhat-1

* Wed Oct 19 2011 David Walluck <dwalluck@redhat.com> 0:2.6-1
- 2.6

* Wed Dec 08 2010 Ralph Apel <r.apel@r-apel.de> 0:2.4-7
- Fix compat symlinks for jakarta-commons-lang

* Sat Oct 09 2010 Ralph Apel <r.apel@r-apel.de> 0:2.4-6
- Provide compat symlinks for jakarta-commons-lang

* Thu Sep 23 2010 Ralph Apel <r.apel@r-apel.de> 0:2.4-5
- Drop Requires for apache-commons-parent

* Sun Sep 12 2010 Ralph Apel <r.apel@r-apel.de> 0:2.4-4
- OK move it to free

* Wed Nov 18 2009 Ralph Apel <r.apel@r-apel.de> 0:2.4-3
- rename to apache-commons-lang
- build with maven2 by default

* Wed Oct 21 2009 David Walluck <dwalluck@redhat.com> 0:2.4-2
- Requires: commons-parent >= 0:9
- add pom
- add Provides

* Wed Mar 18 2009 David Walluck <dwalluck@redhat.com> 0:2.4-1
- 2.4

* Thu May 29 2008 Permaine Cheung <pcheung@redhat.com> - 0:2.1-7
- First JPP5 build

* Mon Aug 13 2007 Vivek Lakshmanan <vivekl@redhat.com> - 0:2.1-6jpp.ep1.2
- Add repolib support

* Fri Aug 10 2007 Fernando Nasser <fnasser@redhat.com> - 0:2.1-6jpp.ep1.1
- Rebuild with no AOT; BR java-devel

* Thu Mar 29 2007 Permaine Cheung <pcheung@redhat.com> - 0:2.1-6jpp.1
- Merge from upstream and rpmlint cleanup

* Thu Aug 10 2006 Deepak Bhole <dbhole@redhat.com> - 0:2.1-5jpp.1
- Added missing requirements.
- Added missing postun section for javadoc.

* Thu Aug 10 2006 Karsten Hopp <karsten@redhat.de> - 0:2.1-4jpp_3fc
- Requires(post): coreutils

* Sat Jul 22 2006 Jakub Jelinek <jakub@redhat.com> - 0:2.1-4jpp_2fc
- Rebuilt

* Wed Jul 19 2006 Deepak Bhole <dbhole@redhat.com> - 0:2.1-4jpp_1fc
- Remove name/release/version defines as applicable.

* Mon Jul 17 2006 Deepak Bhole <dbhole@redhat.com> - 0:2.1-3jpp
- Added conditional native compiling.
- By jkeating: Patched to not use taget= in build.xml

* Mon Feb 27 2006 Fernando Nasser <fnasser@redhat.com> - 0:2.1-2jpp
- First JPP 1.7 build

* Sat Aug 20 2005 Ville Skyttä <scop at jpackage.org> - 0:2.1-1jpp
- 2.1, javadoc crosslink patch applied upstream.
- Use the %%ant macro.

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:2.0-2jpp
- Rebuild with ant-1.6.2

* Sun Oct 12 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0-1jpp
- Update to 2.0.
- Add non-versioned javadocs dir symlink.
- Crosslink with local J2SE javadocs.
- Convert specfile to UTF-8.

* Fri Apr  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0.1-3jpp
- Rebuild for JPackage 1.5.

* Tue Mar  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 1.0.1-2jpp
- Repackage to recover from earlier accidental overwrite with older version.
- No macros in URL and SourceX tags.
- Remove spurious api/ from installed javadoc path.
- Spec file cleanups.
- (from 1.0.1-1jpp) Update to 1.0.1.
- (from 1.0.1-1jpp) Run JUnit tests when building.

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0-3jpp
- fix ASF license and add packager tag

* Mon Oct 07 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-2jpp
- missed to include changelog

* Mon Oct 07 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-1jpp
- release 1.0

* Tue Aug 20 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0.b1.1-1jpp
- fist jpp release
